# $Revision: 1.79 $, $Date: 2012/04/28 19:40:07 $
#
# Conditional build:
%bcond_with	openct	# use OpenCT instead of PC/SC for reader access
#
Summary:	OpenSC library - for accessing SmartCard devices using PC/SC Lite
Summary(pl.UTF-8):	Biblioteka OpenSC - do korzystania z kart procesorowych przy użyciu PC/SC Lite
Name:		opensc
Version:	0.12.2
Release:	2
Epoch:		0
License:	LGPL v2.1+
Group:		Applications
Source0:	http://www.opensc-project.org/files/opensc/%{name}-%{version}.tar.gz
# Source0-md5:	5116adea5f2f9f22fb9896965789144b
URL:		http://www.opensc-project.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-style-xsl
BuildRequires:	libltdl-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libxslt-progs
%{?with_openct:BuildRequires:	openct-devel}
BuildRequires:	openssl-devel >= 0.9.7d
%{!?with_openct:BuildRequires:	pcsc-lite-devel >= 1.6.0}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.364
BuildRequires:	zlib-devel
%{!?with_openct:Requires:	pcsc-lite-libs >= 1.6.0}
Obsoletes:	browser-plugin-opensc
Obsoletes:	mozilla-plugin-opensc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# datadir is used for config files and (editable) profiles
%define		_datadir	/etc
%define		_sysconfdir	/etc/opensc

%description
libopensc is a library for accessing SmartCard devices using PC/SC
Lite middleware package. It is also the core library of the OpenSC
project. Basic functionality (e.g. SELECT FILE, READ BINARY) should
work on any ISO 7816-4 compatible SmartCard. Encryption and decryption
using private keys on the SmartCard is at the moment possible only
with PKCS#15 compatible cards, such as the FINEID (Finnish Electronic
IDentity) card manufactured by Setec.

%description -l pl.UTF-8
libopensc to biblioteka do korzystania z kart procesorowych przy
użyciu pakietu warstwy pośredniej PC/SC Lite. Jest to także podstawowa
biblioteka projektu OpenSC. Podstawowa funkcjonalność (np. SELECT
FILE, READ BINARY) powinna działać także z dowolną kartą procesorową
zgodną z ISO-7816-4. Szyfrowanie i odszyfrowywanie przy użyciu
prywatnych kluczy na karcie na razie jest możliwe tylko przy użyciu
kart kompatybilnych z PKCS#16, takich jak FINEID (Finnish Electronic
IDentity) produkowanych przez Setec.

%package devel
Summary:	OpenSC development files
Summary(pl.UTF-8):	Pliki dla programistów używających OpenSC
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libltdl-devel
%{?with_openct:Requires:	openct-devel}
Requires:	openssl-devel
%{!?with_openct:Requires:	pcsc-lite-devel >= 1.6.0}

%description devel
OpenSC development files.

%description devel -l pl.UTF-8
Pliki dla programistów używających OpenSC.

%package static
Summary:	Static OpenSC library
Summary(pl.UTF-8):	Bibloteka statyczna OpenSC
Group:		Development/Tools
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static OpenSC library.

%description static -l pl.UTF-8
Biblioteka statyczna OpenSC.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_openct:--enable-openct --disable-pcsc} \
	%{!?with_openct:--enable-pcsc --disable-openct} \
	--disable-silent-rules \
	--enable-doc \
	--with-pcsc-provider=%{_libdir}/libpcsclite.so.1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}/pkcs11}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not needed (dlopened by soname)
%{__rm} $RPM_BUILD_ROOT%{_libdir}/{onepin-opensc-pkcs11,opensc-pkcs11,pkcs11-spy}.la

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README doc/html.out/tools.html
%attr(755,root,root) %{_bindir}/cardos-tool
%attr(755,root,root) %{_bindir}/cryptoflex-tool
%attr(755,root,root) %{_bindir}/eidenv
%attr(755,root,root) %{_bindir}/netkey-tool
%attr(755,root,root) %{_bindir}/opensc-explorer
%attr(755,root,root) %{_bindir}/opensc-tool
%attr(755,root,root) %{_bindir}/piv-tool
%attr(755,root,root) %{_bindir}/pkcs11-tool
%attr(755,root,root) %{_bindir}/pkcs15-crypt
%attr(755,root,root) %{_bindir}/pkcs15-init
%attr(755,root,root) %{_bindir}/pkcs15-tool
%attr(755,root,root) %{_bindir}/westcos-tool
%attr(755,root,root) %{_libdir}/libopensc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libopensc.so.3
# PKCS11 modules
%attr(755,root,root) %{_libdir}/onepin-opensc-pkcs11.so
%attr(755,root,root) %{_libdir}/opensc-pkcs11.so
%attr(755,root,root) %{_libdir}/pkcs11-spy.so
%dir %{_libdir}/pkcs11
%attr(755,root,root) %{_libdir}/pkcs11/onepin-opensc-pkcs11.so
%attr(755,root,root) %{_libdir}/pkcs11/opensc-pkcs11.so
%attr(755,root,root) %{_libdir}/pkcs11/pkcs11-spy.so
%dir %{_datadir}/opensc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/opensc.conf
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/opensc/*.profile
%{_mandir}/man1/cardos-tool.1*
%{_mandir}/man1/cryptoflex-tool.1*
%{_mandir}/man1/eidenv.1*
%{_mandir}/man1/netkey-tool.1*
%{_mandir}/man1/opensc-explorer.1*
%{_mandir}/man1/opensc-tool.1*
%{_mandir}/man1/piv-tool.1*
%{_mandir}/man1/pkcs11-tool.1*
%{_mandir}/man1/pkcs15-crypt.1*
%{_mandir}/man1/pkcs15-init.1*
%{_mandir}/man1/pkcs15-tool.1*
%{_mandir}/man1/westcos-tool.1*
%{_mandir}/man5/pkcs15-profile.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopensc.so
%{_libdir}/libopensc.la

%files static
%defattr(644,root,root,755)
%{_libdir}/libopensc.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opensc.spec,v $
Revision 1.79  2012/04/28 19:40:07  baggins
- fixed install

Revision 1.78  2012/04/28 19:33:36  baggins
- looks like just parallel make problem?

Revision 1.77  2012/04/28 19:30:15  baggins
- create dir for make install

Revision 1.76  2012/04/28 19:24:44  baggins
- rel 2
- drop initramfs package, it was never properly tested, never really updated
  and initramfs-tools functionality is obsoleted by dracut

Revision 1.75  2011/09/20 13:21:13  jajcus
- openldap is not required any more

Revision 1.74  2011/08/10 19:16:50  qboosh
- updated to 0.12.2

Revision 1.73  2011/05/28 11:19:24  qboosh
- updated to 0.12.1

Revision 1.72  2011/03/16 23:05:25  glen
- invert openct bcond, it is not usable, old and segfaults
- see also http://www.opensc-project.org/pipermail/opensc-announce/2010-December/000033.html

Revision 1.71  2011/01/08 18:58:33  qboosh
- cleanup
- note: browser plugin is gone

Revision 1.70  2011/01/08 18:32:54  qboosh
- updated to 0.12.0
- removed obsolete assuan-2,pcsc patches
- libopensc API no longer public

Revision 1.69  2010/08/09 07:10:32  qboosh
- time to move to new libassuan - added libassuan-2 patch from upstream trac
- added pcsc patch to build with current pcsc
- package westcos-tool

Revision 1.68  2010/05/14 16:27:47  sparky
- replaced BR: libassuan-devel >= 1:0.6.0 with BR: libassuan1-devel >= 0.6.0
- BR: libxslt-progs

Revision 1.67  2010/04/12 19:28:15  arekm
- release 2

Revision 1.66  2010/02/26 14:30:36  zbyniu
- up to 0.11.13

Revision 1.65  2009/12/14 17:16:46  sparky
- BR: xorg-lib-libXt-devel

Revision 1.64  2009/12/14 10:36:38  sls
- BR: pcsc-lite-devel

Revision 1.63  2009/08/01 20:44:51  arekm
- up to 0.11.9

Revision 1.62  2009/03/04 14:16:26  arekm
- up to 0.11.7 (fixes CVE-2009-0368)

Revision 1.61  2009/02/26 15:34:42  baggins
- typo in path

Revision 1.60  2009/02/26 15:21:27  baggins
- rel 3

Revision 1.59  2009/02/26 15:12:45  baggins
- added initramfs subpackage (NEED TESTERS)

Revision 1.58  2009/02/26 14:32:57  baggins
- added initramfs support files to package

Revision 1.57  2009/02/23 22:07:31  arekm
- release 2

Revision 1.56  2008/11/17 07:53:31  arekm
- pinentry arg fix

Revision 1.55  2008/11/17 07:50:36  arekm
- up to 0.11.6

Revision 1.54  2008/08/27 15:11:51  qboosh
- CVE note (related to CardOS M4 driver)

Revision 1.53  2008/08/26 17:15:06  qboosh
- updated to 0.11.5 [fixes CVE-2008-2235]
- switched to browser-plugins v2
- switched to /usr/bin/pinentry

Revision 1.52  2008/06/14 10:15:09  arekm
- rel 3

Revision 1.51  2008-05-27 08:39:59  arekm
- rel 2

Revision 1.50  2007-11-03 18:46:59  qboosh
- updated to 0.11.4
- removed obsolete explorer-debug patch (applied)

Revision 1.49  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.48  2007/08/11 23:53:40  qboosh
- updated to 0.11.3
- updated explorer-debug patch

Revision 1.47  2007/05/13 03:31:39  qboosh
- updated to 0.11.2
- removed obsolete libassuan patch

Revision 1.46  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.45  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.44  2007/01/13 00:50:51  sls
- touch config.rpath

Revision 1.43  2006/08/07 15:49:34  wiget
- rebuild with openssl 0.9.8b, release 2

Revision 1.42  2006/06/02 09:14:15  qboosh
- updated to 0.11.1

Revision 1.41  2006/05/29 23:08:36  glen
- browser-plugins framework for signer plugin; rel 2

Revision 1.40  2006/05/11 22:18:10  qboosh
- added todo

Revision 1.39  2006/05/10 13:36:38  qboosh
- updated to 0.11.0

Revision 1.38  2006/03/21 08:49:30  qboosh
- updated URLs

Revision 1.37  2006/01/09 10:11:59  qboosh
- updated to 0.10.1
- -devel R: libltdl-devel

Revision 1.36  2005/11/07 13:32:16  qboosh
- updated to 0.10.0 (note: new soname, engines and pam module separated)
- removed obsolete libdir,segv,gcc4 patches, updated explorer-debug patch
- added libassuan patch (fixes signer linking)

Revision 1.35  2005/09/17 11:55:06  arekm
- new readline, 5.0

Revision 1.34  2005/07/28 14:04:29  adamg
- release 2 (rebuild with new openct)

Revision 1.33  2005/04/28 15:57:02  witekfl
- added gcc4.patch

Revision 1.32  2005/04/26 19:26:07  qboosh
- updated to 0.9.6, removed obsolete shared-ssl patch

Revision 1.31  2005/03/29 16:24:40  havner
- rel 2, rebuild with splitted openct (autoreqdep)

Revision 1.30  2004/12/10 11:54:11  qboosh
- pkgconfig >= 0.9.0

Revision 1.29  2004/12/10 11:52:39  qboosh
- BR: pkgconfig

Revision 1.28  2004/11/04 11:07:48  qboosh
- merged DEVEL branch, updated to 0.9.4 (stable they say)

Revision 1.27.2.2  2004/08/24 12:55:57  qboosh
- added explorer-debug,emv patches

Revision 1.27.2.1  2004/08/02 13:01:57  qboosh
- updated to 0.9.2 (beta)

Revision 1.27  2004/08/02 12:35:45  qboosh
- added atr patch; libassuan is LGPL now - updated mozilla-plugin- license

Revision 1.26  2004/07/29 22:52:52  qboosh
- release 5

Revision 1.25  2004/07/21 11:09:29  qboosh
- changed opensc-pkcs11 location (in libdir patch), added segv patch

Revision 1.24  2004/06/22 15:35:01  qboosh
- search for config files in proper place

Revision 1.23  2004/06/22 15:06:15  qboosh
- fixed libdirs (to be lib64-aware)

Revision 1.22  2004/04/06 04:59:41  adamg
- release 4 to rebuild with new ldap

Revision 1.21  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.20  2004/02/07 10:41:26  qboosh
- added missing libpkcs11.so symlink, epoch and release to deps
- -devel R: openct-devel,openssl-devel,pcsc-lite-devel
- release 3

Revision 1.19  2003/11/25 15:41:44  siefca
- added Obsoletes tag to pam-pam_opensc subpackage

Revision 1.18  2003/11/25 14:47:59  siefca
- leaded common naming conventions for PAM module packages
- release 2

Revision 1.17  2003/10/08 12:33:30  qboosh
- added shared-ssl patch to build engines w/o openssl-static
- I guess engines require openssl 0.9.7

Revision 1.16  2003/10/08 11:02:54  wiget
- updated to 0.8.1

Revision 1.15  2003/08/21 12:10:09  qboosh
- patched for libassuan 0.6.0

Revision 1.14  2003/08/21 11:48:56  qboosh
- 0.8.0, updated nolibs patch, removed obsolete patches
- added libdir patch, updates files list

Revision 1.13  2003/07/29 14:51:52  adgor
- Typo

Revision 1.12  2003/05/28 13:00:06  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:51:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/23 09:09:22  qboosh
- added pkcs15init-help patch (fix for pkcs15-init help)
- moved config and profile files to /etc
- release 2

Revision 1.9  2003/03/14 15:50:35  qboosh
- fixed -devel dependency

Revision 1.8  2003/03/14 14:30:10  qboosh
- added cryptoflex patch (CryptoFlex 8k v2 support)
- added mozilla plugin (signer)

Revision 1.7  2003/03/12 11:13:58  qboosh
- nest support

Revision 1.6  2003/03/11 18:08:25  wiget
- remove libtools macros from acinclude.m4

Revision 1.5  2003/03/11 17:08:19  qboosh
- added fix for SEGV

Revision 1.4  2003/03/11 13:12:19  qboosh
- added nolibs patch - -lresolv is not necessary

Revision 1.3  2003/03/10 20:22:49  qboosh
- ac >= 2.52

Revision 1.2  2003/03/10 16:10:29  qboosh
- some work - builds now

Revision 1.1  2002/12/18 22:34:06  hunter
-NYF!
